;################################################################
;#                                                              #
;#  AVR ChipBasic2 API V1.02 API Macros                         #
;#  (c) 2009 Joerg wolfram                                      #
;#                                                              #
;################################################################
.macro api_popxyz
	jmp	0x0038
.endm

.macro api_pushxyz
	call	0x0039
.endm

.macro api_popregs
	jmp	0x003a
.endm

.macro api_pushregs
	call	0x003b
.endm

.macro api_getvram
	call	0x003c
.endm

.macro api_getsysram
	call	0x003f
.endm

.macro api_getpal
	call	0x0042
.endm

.macro api_getarray
	call	0x0045
.endm

.macro api_getchart0
	call	0x0048
.endm

.macro api_getchart1
	call	0x004b
.endm

.macro api_getbase
	call	0x004e
.endm

.macro api_getbase_1
	call	0x0053
.endm

.macro api_dataptr
	call	0x0058
.endm

.macro api_setcolor
	call	0x005e
.endm

.macro api_setfcolor
	call	0x0060
.endm

.macro api_setborder
	call	0x0062
.endm

.macro api_setvmode
	call	0x0064
.endm

.macro api_setpalette
	call	0x0066
.endm

.macro api_sync
	call	0x0068
.endm

.macro api_slow
	call	0x006a
.endm

.macro api_fast
	call	0x006c
.endm

.macro api_setchannel
	call	0x006e
.endm

.macro api_setfont
	call	0x0070
.endm

.macro api_clrscr
	call	0x0072
.endm

.macro api_outchar
	call	0x0074
.endm

.macro api_outdez
	call	0x0076
.endm

.macro api_outhex
	call	0x0078
.endm

.macro api_gotoxy
	call	0x007a
.endm

.macro api_romtext
	call	0x007c
.endm

.macro api_thistext
	call	0x007e
.endm

.macro api_cbox
	call	0x0080
.endm

.macro api_ibox
	call	0x0083
.endm

.macro api_scroll
	call	0x0086
.endm

.macro api_newline
	call	0x0088
.endm

.macro api_clearvec
	call	0x008a
.endm

.macro api_cleartext
	call	0x008c
.endm

.macro api_sprite
	call	0x008e
.endm

.macro api_cursor
	call	0x0090
.endm

.macro api_waitkey
	call	0x0094
.endm

.macro api_nokey
	call	0x0096
.endm

.macro api_kstate
	call	0x0098
.endm

.macro api_getkey
	call	0x009c
.endm

.macro api_lastkey
	call	0x009f
.endm

.macro api_putser
	call	0x00a2
.endm

.macro api_getser
	call	0x00a4
.endm

.macro api_getserb
	call	0x00a6
.endm

.macro api_putpar
	call	0x00a8
.endm

.macro api_putxm
	call	0x00aa
.endm

.macro api_getxm
	call	0x00ac
.endm

.macro api_plot
	call	0x00ae
.endm

.macro api_draw
	call	0x00b0
.endm

.macro api_box
	call	0x00b2
.endm

.macro api_fbox
	call	0x00b4
.endm

.macro api_circle
	call	0x00b6
.endm

.macro api_fcircle
	call	0x00ba
.endm

.macro api_bcopy1
	call	0x00be
.endm

.macro api_bcopy2
	call	0x00c0
.endm

.macro api_bcopy3
	call	0x00c2
.endm

.macro api_menu
	call	0x00c4
.endm

.macro api_drawmenu
	call	0x00c6
.endm

.macro api_alert
	call	0x00c8
.endm

.macro api_ask
	call	0x00ca
.endm

.macro api_alertthis
	call	0x00cc
.endm

.macro api_askthis
	call	0x00ce
.endm

.macro api_note
	call	0x00d0
.endm

.macro api_setvolume
	call	0x00d2
.endm

.macro api_startseq
	call	0x00d4
.endm

.macro api_setseq
	call	0x00d6
.endm

.macro api_getseq
	call	0x00d8
.endm

.macro api_i2c_read
	call	0x00da
.endm

.macro api_i2c_write
	call	0x00dc
.endm

.macro api_i2c_start
	call	0x00de
.endm

.macro api_i2c_stop
	call	0x00e0
.endm

.macro api_i2c_rbyte
	call	0x00e2
.endm

.macro api_i2c_rbyten
	call	0x00e4
.endm

.macro api_i2c_wbyte
	call	0x00e6
.endm

.macro api_i2c_rlm75
	call	0x00e8
.endm

.macro api_eep_read
	call	0x00ea
.endm

.macro api_eep_write
	call	0x00ec
.endm

.macro api_abs
	call	0x00ee
.endm

.macro api_add
	call	0x00f0
.endm

.macro api_sub
	call	0x00f2
.endm

.macro api_mul
	call	0x00f4
.endm

.macro api_div
	call	0x00f6
.endm

.macro api_sin
	call	0x00f8
.endm

.macro api_cos
	call	0x00fa
.endm

.macro api_eq
	call	0x00fc
.endm

.macro api_lt
	call	0x00fe
.endm

.macro api_gt
	call	0x0100
.endm

.macro api_sqr
	call	0x0102
.endm

.macro api_rnd
	call	0x0104
.endm

.macro api_adc
	call	0x0106
.endm

.macro api_dbit
	call	0x0108
.endm

.macro api_fs_create
	call	0x010a
.endm

.macro api_fs_delete
	call	0x010c
.endm

.macro api_fs_read
	call	0x010e
.endm

.macro api_fs_write
	call	0x0110
.endm

.macro api_fs_cfree
	call	0x0112
.endm

.macro api_fs_size
	call	0x0114
.endm

.macro api_fs_checkf
	call	0x0116
.endm

.macro api_fs_gettype
	call	0x0118
.endm

.macro api_fs_rread
	call	0x011c
.endm

.macro api_fs_rwrite
	call	0x0121
.endm

